Admiral
Environments

Update an environment

PATCH
/api/v1/environments/{environment.id}

Scope: env:write

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer adm_pat_...

In: header

Path Parameters

environment.id*id

Unique identifier for the environment (UUID).

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://admiral.example.com/api/v1/environments/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "environment": {      "id": "e5f6a7b8-9012-3cde-f456-789012345678",      "application_id": "a1b2c3d4-5678-9abc-def0-1234567890ab",      "name": "staging",      "description": "Shared staging environment for QA validation before production promotion.",      "runtime_type": "RUNTIME_TYPE_KUBERNETES",      "labels": {        "region": "us-east-1",        "tier": "staging"      },      "infrastructure": {        "runner_id": "b2c3d4e5-6789-0abc-def1-234567890abc"      },      "kubernetes": {        "cluster_id": "c3d4e5f6-7890-1abc-def0-abcdef012345",        "namespace": "inventory-staging"      },      "has_pending_changes": true,      "last_deployed_at": "2025-11-01T09:15:00Z",      "created_by": "d290f1ee-6c54-4b01-90e6-d701748f0851",      "updated_by": "d290f1ee-6c54-4b01-90e6-d701748f0851",      "created_at": "2025-09-15T11:00:00Z",      "updated_at": "2025-11-02T14:30:00Z"    }  }'
{  "environment": {    "id": "e5f6a7b8-9012-3cde-f456-789012345678",    "application_id": "a1b2c3d4-5678-9abc-def0-1234567890ab",    "name": "staging",    "description": "Shared staging environment for QA validation before production promotion.",    "runtime_type": "RUNTIME_TYPE_KUBERNETES",    "labels": {      "region": "us-east-1",      "tier": "staging"    },    "infrastructure": {      "runner_id": "b2c3d4e5-6789-0abc-def1-234567890abc"    },    "kubernetes": {      "cluster_id": "c3d4e5f6-7890-1abc-def0-abcdef012345",      "namespace": "inventory-staging"    },    "has_pending_changes": true,    "last_deployed_at": "2025-11-01T09:15:00Z",    "created_by": "d290f1ee-6c54-4b01-90e6-d701748f0851",    "updated_by": "d290f1ee-6c54-4b01-90e6-d701748f0851",    "created_at": "2025-09-15T11:00:00Z",    "updated_at": "2025-11-02T14:30:00Z"  }}